2016年8月21日日曜日

UADP-0069CEZZ

UADP-0069CEZZ

X68000XVIの電源ユニットを取り出しました。
職場で使うために、修理に出します。

2016年8月4日木曜日

2016年7月23日土曜日

ORACLE VirtualBox 5.1.0 1

CentOS 7

VirtualBoxにCentOSを入れて、teratermからsshでログイン出来るようにしました。
仕事でシェルスクリプトを覚える事になったので、学習用に使います。

sg3_utils

高機能ディスク管理ソフトです。

Apple Mac Pro MC560J/A

MacProにSSHでログインしました。
PowerLineの箇所が文字化けしています。

ORACLE Solaris 11.3

VirtualBoxのNICは、Host-Only EthernetAdapterで、Solarisインストール時のネットワークの設定は自動です。
特に何も設定する事なくsshでログイン出来ます。

2016年6月1日水曜日

Intel Xeon Processor X5670

Intel Xeon Processor X5670

DELL PowerEdge R410からの抜き取り品です。
Apple Mac Pro MC560J/Aに1基搭載します。

Archey

2016年5月30日月曜日

Microsoft Windows 10 Professional 2

ruby setup.rb

C:\mikutter\plugin\mikutter-windows>ruby setup.rb
-------------------------------------
| mikutter on Windowsにようこそ! |
-------------------------------------
Windowsでmikutterを動かすために色々準備をしていくよ。覚悟はいい?

●SSLエラー回避のために、gemシステムをバージョンアップするよ。
Latest version currently installed. Aborting.

●mikutterに必要なgemをインストールするよ。
Fetching: bundler-1.12.5.gem (100%)
Successfully installed bundler-1.12.5
Parsing documentation for bundler-1.12.5
Installing ri documentation for bundler-1.12.5
Done installing documentation for bundler after 17 seconds
1 gem installed
C:/Ruby23/lib/ruby/gems/2.3.0/gems/bundler-1.12.4/lib/bundler/installer/gem_installer.rb:48:in `handle_exception': An error occurred while installing nokogiri (1.6.7.2), and Bundler cannot continue. (Bundler::InstallError)
Make sure that `gem install nokogiri -v '1.6.7.2'` succeeds before bundling.
        from C:/Ruby23/lib/ruby/gems/2.3.0/gems/bundler-1.12.4/lib/bundler/installer/gem_installer.rb:23:in `rescue in install_from_spec'
        from C:/Ruby23/lib/ruby/gems/2.3.0/gems/bundler-1.12.4/lib/bundler/installer/gem_installer.rb:15:in `install_from_spec'
        from C:/Ruby23/lib/ruby/gems/2.3.0/gems/bundler-1.12.4/lib/bundler/installer/parallel_installer.rb:91:in `block in worker_pool'
        from C:/Ruby23/lib/ruby/gems/2.3.0/gems/bundler-1.12.4/lib/bundler/worker.rb:65:in `apply_func'
        from C:/Ruby23/lib/ruby/gems/2.3.0/gems/bundler-1.12.4/lib/bundler/worker.rb:60:in `block in process_queue'
        from C:/Ruby23/lib/ruby/gems/2.3.0/gems/bundler-1.12.4/lib/bundler/worker.rb:57:in `loop'
        from C:/Ruby23/lib/ruby/gems/2.3.0/gems/bundler-1.12.4/lib/bundler/worker.rb:57:in `process_queue'
        from C:/Ruby23/lib/ruby/gems/2.3.0/gems/bundler-1.12.4/lib/bundler/worker.rb:29:in `block (2 levels) in initialize'

gem install nokogiri

C:\Users\minas>gem install nokogiri
ERROR:  Error installing nokogiri:
        nokogiri requires Ruby version < 2.3, >= 1.9.2.

rbenv global 1.9.2-p290

'.rbenv-win\shims'が作成されず、PATHも通っていません。
rubyのバージョンは切り替わりません。

C:\Users\minas>ruby -v
ruby 2.3.0p0 (2015-12-25 revision 53290) [x64-mingw32]

C:\Users\minas>rbenv versions
  1.9.2-p180
* 1.9.2-p290 (set by C:\Users\minas\.rbenv_version)

C:\Users\minas>rbenv global 1.9.2-p290

C:\Users\minas>ruby -v
ruby 2.3.0p0 (2015-12-25 revision 53290) [x64-mingw32]

環境変数

rbenv rehash

C:\Users\minas>ruby -v
ruby 2.3.0p0 (2015-12-25 revision 53290) [x64-mingw32]

C:\Users\minas>rbenv rehash

C:\Users\minas>ruby -v
ruby 1.9.2p290 (2011-07-09) [i386-mingw32]

gem install nokogiri

C:\Users\minas>gem install nokogiri
Fetching: mini_portile2-2.0.0.rc2.gem (100%)
Fetching: nokogiri-1.6.7.2-x86-mingw32.gem (100%)
Nokogiri is built with the packaged libraries: libxml2-2.9.2, libxslt-1.1.28, zlib-1.2.8, libiconv-1.14.
Successfully installed mini_portile2-2.0.0.rc2
Successfully installed nokogiri-1.6.7.2-x86-mingw32
2 gems installed
Installing ri documentation for mini_portile2-2.0.0.rc2...
Installing ri documentation for nokogiri-1.6.7.2-x86-mingw32...
Installing RDoc documentation for mini_portile2-2.0.0.rc2...
Installing RDoc documentation for nokogiri-1.6.7.2-x86-mingw32...

ruby setup.rb

C:\mikutter\plugin\mikutter-windows>ruby setup.rb
-------------------------------------
| mikutter on Windowsにようこそ! |
-------------------------------------
Windowsでmikutterを動かすために色々準備をしていくよ。覚悟はいい?

●SSLエラー回避のために、gemシステムをバージョンアップするよ。
Latest version currently installed. Aborting.

●mikutterに必要なgemをインストールするよ。
Successfully installed bundler-1.12.5
Parsing documentation for bundler-1.12.5
Done installing documentation for bundler after 8 seconds
1 gem installed

●デスクトップにショートカットを作るよ。

●便利なプラグインをインストールしちゃうよ。
(この後表示されるwarningは問題ありません)
Fetching: minitar-0.5.4.gem (100%)
Successfully installed minitar-0.5.4
Parsing documentation for minitar-0.5.4
Installing ri documentation for minitar-0.5.4
Done installing documentation for minitar after 2 seconds
1 gem installed
./install_cool_plugins.rb:9: warning: already initialized constant OpenSSL::SSL::VERIFY_PEER
https://api.github.com/repos/moguno/mikutter-portable-path/tarball/master
https://codeload.github.com/moguno/mikutter-portable-path/legacy.tar.gz/master
https://api.github.com/repos/moguno/mikutter-large-pic-twitter-com/tarball/master
https://codeload.github.com/moguno/mikutter-large-pic-twitter-com/legacy.tar.gz/master
https://api.github.com/repos/moguno/mikutter-mac-de-emoji/tarball/master
https://codeload.github.com/moguno/mikutter-mac-de-emoji/legacy.tar.gz/master
https://api.github.com/repos/moguno/mikutter-tab-hardpoint/tarball/master
https://codeload.github.com/moguno/mikutter-tab-hardpoint/legacy.tar.gz/master
https://api.github.com/repos/moguno/mikutter-tall-replyviewer/tarball/master
https://codeload.github.com/moguno/mikutter-tall-replyviewer/legacy.tar.gz/master
https://api.github.com/repos/moguno/mikutter-uwm-hommage/tarball/master
https://codeload.github.com/moguno/mikutter-uwm-hommage/legacy.tar.gz/master
https://api.github.com/repos/moguno/mikutter-subparts-image/tarball/master
https://codeload.github.com/moguno/mikutter-subparts-image/legacy.tar.gz/master

---------------------------------------------------------
| インストール完了!mikutter on Windowsを楽しんでね! |
---------------------------------------------------------
[Enter]でこのウインドウを閉じます。


C:\mikutter\plugin\mikutter-windows>ruby -v
ruby 2.2.2p95 (2015-04-13 revision 50295) [i386-mingw32]

mikutter 3.3.10